package com.ms.dal.mapper;

import java.util.List;

import com.ms.dal.entity.Shop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.ms.dal.entity.Shop
 */
@Mapper
public interface ShopMapper {

    int deleteByPrimaryKey(Long id);

    int insert(Shop record);

    int insertSelective(Shop record);

    Shop selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Shop record);

    int updateByPrimaryKey(Shop record);

    List<Shop> getShopByIds(@Param("shopIds") List<String> shopIds);

    List<Shop> getExpiresTokenShops(String gmtExpireStart,String gmtExpireEnd);

    List<Long> selectShopIdsByExpirePositionPage(Long startId, int limit);
}
